<html lang="en">
<head>
    <meta charset="UTF-8">
    <link type="text/css" href="css/photoProblemEditionPdf.css" rel="stylesheet">
</head>
<body>
    <footer>
        Document édité depuis la banque M@ths en-vie - https://banque.appenvie.fr
    </footer>
    <main>
        {% if type == 1 %}
            {% for problem in problems %}
                <div style="page-break-after: always; margin-top: -20px;">
                    <div style="width: 50%; float: left">
                        <table class="type-1 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 200px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    <div style="width: 50%; float: right">
                        <table class="type-1 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 200px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                <div style="clear: both"></div>
                </div>
            {% endfor %}
        {% elseif type == 2 %}
            {% for problem in problems %}
                {% if loop.index0 % 2 == 0 %}
                    <div style="page-break-after: always; margin-top: -20px;">
                {% endif %}
                    <div style="width: 50%; {{ loop.index is odd ? "float: left" : "float: right" }}">
                        <table class="type-2 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 200px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    {% if loop.index is even %}
                        <div style="clear: both"></div>
                    {% endif %}
                {% if loop.index0 % 2 == 1 %}
                </div>
                {% endif %}
            {% endfor %}
        {% elseif type == 3 %}
            {% for problem in problems %}
                <div style="page-break-after: always; margin-top: -20px;">
                    <div style="width: 50%; float: left">
                        <table class="type-3 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 150px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    <div style="width: 50%; float: right">
                        <table class="type-3 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 150px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    <div style="clear: both"></div>
                    <div style="width: 50%; float: left">
                        <table class="type-3 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 150px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    <div style="width: 50%; float: right">
                        <table class="type-3 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 150px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    <div style="clear: both"></div>
                </div>
            {% endfor %}
        {% elseif type == 4 %}
            {% for problem in problems %}
                {% if loop.index0 % 4 == 0 %}
                <div style="page-break-after: always; margin-top: -20px;">
                {% endif %}
                    <div style="width: 50%; {{ loop.index is odd ? "float: left" : "float: right" }}">
                        <table class="type-4 all-type">
                            <tr>
                                <th class="title">Problème n°{{ loop.index }}</th>
                            </tr>
                            <tr>
                                <td valign="top">
                                    <div style="text-align: center; height: 150px;">
                                        <img style="max-height: 100%; max-width: 100%;" src="photos/{{ problem.attachment }}" alt="Photo indisponible ...">
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" class="statement">{{ problem.statement|boldQuestion|htmldecode }}</span></td>
                            </tr>
                            <tr>
                                <td valign="top" class="resolution">
                                    <span>Résolution :</span>
                                </td>
                            </tr>
                        <table>
                    </div>
                    {% if loop.index is even %}
                    <div style="clear: both"></div>
                    {% endif %}
                {% if loop.index0 % 4 == 3 %}
                </div>
                {% endif %}
            {% endfor %}
        {% endif %}
    </main>
</body>
</html>